Files
apfstests/014
T

52 lines
930 B
Bash
Raw Normal View History

#! /bin/sh
2004-06-15 07:32:36 +00:00
# FS QA Test No. 014
#
# truncfile
#
#-----------------------------------------------------------------------
2002-06-04 23:07:56 +00:00
# Copyright (c) 2000-2001 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=dxm@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=0 # success is the default!
2004-06-15 07:32:36 +00:00
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
2004-06-15 07:32:36 +00:00
cd /
rm -f $tmp.*
rm -rf $testdir/truncfile.$$.*
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
2004-06-15 07:32:36 +00:00
_supported_fs xfs udf nfs
_supported_os IRIX Linux
2004-06-15 07:32:36 +00:00
_setup_testdir
echo "brevity is wit..."
echo "------"
echo "test 1"
echo "------"
2004-06-15 07:32:36 +00:00
if ! src/truncfile -c 10000 $testdir/truncfile.$$.0 >$tmp.out 2>&1
then
out=`cat $tmp.out`
echo "truncfile returned $? : \"$out\""
else
echo "OK"
fi
exit